# Revoke token

Request to revoke a recurring token for alternative payment methods.


  Available for tokens initiated with payment_method alipay, mbway or wechatpay.

Endpoint: POST /v1/recurring-token/cancel
Version: 1.0.0
Security: MerchantID

## Header parameters:

  - `merchant` (string, required)
    Unique public key provided upon registration and must be shared for identification purposes.
    Example: "api_pk_7b197...ba108f842"

  - `signature` (string, required)
    Request signature that allows verification of merchant authenticity on the payment gateway server.
    Example: "M2E3OTkyNzcz...xMmExODI4"

## Request fields (application/json):

  - `token` (string, required)
    Recurring token to cancel.
    Example: "923bb4e6-4a5f-41ec-81fb-28eb8a152e55"

## Response 200 fields (application/json):

  - `body` (object) — one of:
    - Success:
      - `status` (string, required)
        Cancellation status.
        Enum: "processing"
    - Authentication failed:
      - `error` (object, required)
        Error object.
      - `error.code` (string, required)
        Unauthorized access due to invalid credentials.
        Example: "1.01"
      - `error.messages` (array, required)
        Array of error messages applied to the decline payment.
        Example: ["Authentication failed"]
    - Error:
      - `error` (object, required) — one of (discriminator: code):
        Error object.
        - 2.01:
          - `messages` (object, required)
            Object with string keys and array of strings as values.
            Example: {"general":["recurring token was not found"]}
        - X.XX:
          - `messages` (array, required)
            Array containing either strings or objects that provide details about the error or status.


  When it is an array of strings, each string describes a separate issue. When it is an object, the object will contain key-value pairs explaining the issue in more detail.
          - `recommended_message_for_user` (string)
            Message with recommended next steps or additional information.
            Example: "Invalid card token."
      - `error.code` (string)
        Gateway error code for the declined payment.


